> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Virtual Account Balance History



## OpenAPI

````yaml /openapi.json get /api/v1/merchants/me/virtual-account/balance-history
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/virtual-account/balance-history:
    get:
      tags:
        - Virtual Accounts
      summary: Virtual Account Balance History
      operationId: virtualAccountBalanceHistory
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VirtualAccountBalanceHistoryResponse'
              example:
                - id: bbbb2222-cccc-3333-dddd-444444444444
                  virtualAccountId: 9d6be39e-9465-4d67-a05a-4b366352bd64
                  merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                  inboundCreditId: 70d9370e-62ad-4b97-a024-862feee88541
                  sessionId: '000004260908165208000000591000'
                  paymentReference: INV-2026-1044
                  accountNumber: '7600000035'
                  creditAmount: 130
                  previousBalance: 0
                  newBalance: 130
                  feeAmount: 0.39
                  previousFeeBalance: 0
                  newFeeBalance: 0.39
                  currency: KES
                  creditStatus: SUCCESSFUL
                  attributionStatus: ATTRIBUTED
                  originatorAccountName: JANE WANJIKU
                  originatorAccountNumber: 2547*****890
                  narration: 7600000035 INV-2026-1044
                  creditedAt: '2026-09-08T16:52:08.000Z'
                  createdAt: '2026-09-09T07:52:21.054Z'
components:
  schemas:
    VirtualAccountBalanceHistoryResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````